# PeriodicTorsionForce Class Reference

This class implements an interaction between groups of four particles that varies periodically with the torsion angle between them. More...

Inheritance diagram for PeriodicTorsionForce:

List of all members.

## Public Member Functions
def | getNumTorsions
| getNumTorsions(PeriodicTorsionForce self) -> int
def | addTorsion
| addTorsion(PeriodicTorsionForce self, int particle1, int particle2, int particle3, int particle4, int periodicity, double phase, double k) -> int
def | getTorsionParameters
| getTorsionParameters(PeriodicTorsionForce self, int index)
def | setTorsionParameters
| setTorsionParameters(PeriodicTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int periodicity, double phase, double k)
def | updateParametersInContext
| updateParametersInContext(PeriodicTorsionForce self, Context context)
def | __init__
| __init__(OpenMM.PeriodicTorsionForce self) -> PeriodicTorsionForce __init__(OpenMM.PeriodicTorsionForce self, PeriodicTorsionForce other) -> PeriodicTorsionForce
def | __del__
| __del__(OpenMM.PeriodicTorsionForce self)
## Public Attributes
| this

## Detailed Description

This class implements an interaction between groups of four particles that varies periodically with the torsion angle between them.

To use it, create a PeriodicTorsionForce object then call addTorsion() once for each torsion. After a torsion has been added, you can modify its force field parameters by calling setTorsionParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.PeriodicTorsionForce self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.PeriodicTorsionForce self) -> PeriodicTorsionForce __init__(OpenMM.PeriodicTorsionForce self, PeriodicTorsionForce other) -> PeriodicTorsionForce

Create a PeriodicTorsionForce.

def addTorsion | ( |  | self,
|  |  | args |
| ) |  |  |

addTorsion(PeriodicTorsionForce self, int particle1, int particle2, int particle3, int particle4, int periodicity, double phase, double k) -> int

Add a periodic torsion term to the force field.

Parameters:

  | particle1 | the index of the first particle forming the torsion
  | particle2 | the index of the second particle forming the torsion
  | particle3 | the index of the third particle forming the torsion
  | particle4 | the index of the fourth particle forming the torsion
  | periodicity | the periodicity of the torsion
  | phase | the phase offset of the torsion, measured in radians
  | k | the force constant for the torsion

def getNumTorsions | ( |  | self | ) |

getNumTorsions(PeriodicTorsionForce self) -> int

Get the number of periodic torsion terms in the potential function

def getTorsionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getTorsionParameters(PeriodicTorsionForce self, int index)

Get the force field parameters for a periodic torsion term.

Parameters:

  | index | the index of the torsion for which to get parameters
  | particle1 | the index of the first particle forming the torsion
  | particle2 | the index of the second particle forming the torsion
  | particle3 | the index of the third particle forming the torsion
  | particle4 | the index of the fourth particle forming the torsion
  | periodicity | the periodicity of the torsion
  | phase | the phase offset of the torsion, measured in radians
  | k | the force constant for the torsion

def setTorsionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setTorsionParameters(PeriodicTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int periodicity, double phase, double k)

Set the force field parameters for a periodic torsion term.

Parameters:

  | index | the index of the torsion for which to set parameters
  | particle1 | the index of the first particle forming the torsion
  | particle2 | the index of the second particle forming the torsion
  | particle3 | the index of the third particle forming the torsion
  | particle4 | the index of the fourth particle forming the torsion
  | periodicity | the periodicity of the torsion
  | phase | the phase offset of the torsion, measured in radians
  | k | the force constant for the torsion

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(PeriodicTorsionForce self, Context context)

Update the per-torsion parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setTorsionParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-torsion parameters. The set of particles involved in a torsion cannot be changed, nor can new torsions be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py